org.fourthline.cling.support.avtransport.lastchange

## Class AVTransportVariable.RecordStorageMedium

- java.lang.Object
- - org.fourthline.cling.support.lastchange.EventedValue<E>
  - - org.fourthline.cling.support.lastchange.EventedValueEnum<StorageMedium>
    - - org.fourthline.cling.support.avtransport.lastchange.AVTransportVariable.RecordStorageMedium

- Enclosing class:
    AVTransportVariable

      public static class AVTransportVariable.RecordStorageMedium
      extends EventedValueEnum<StorageMedium>

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AVTransportVariable.RecordStorageMedium(Map.Entry<String,String>[] attributes)`
    `AVTransportVariable.RecordStorageMedium(StorageMedium storageMedium)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected StorageMedium` | `enumValueOf(String s)`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValueEnum

      `getDatatype, toString, valueOf`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `getAttributes, getName, getValue, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AVTransportVariable.RecordStorageMedium

          public AVTransportVariable.RecordStorageMedium(StorageMedium storageMedium)

    - #### AVTransportVariable.RecordStorageMedium

          public AVTransportVariable.RecordStorageMedium(Map.Entry<String,String>[] attributes)

  - ### Method Detail

    - #### enumValueOf

          protected StorageMedium enumValueOf(String s)

      Specified by:
        `enumValueOf` in class `EventedValueEnum<StorageMedium>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.